Java SE 6 no Mac OS Yosemite

Olá pessoal,

Recentemente fiz uma instalação limpa do Mac OS Yosemite no meu computador. E tive que configurar todo o meu ambiente de desenvolvimento novamente.

Como sempre, comecei instalando o básico, como o Java JDK. A versão mais recente é o Java 8, que pode ser obtido no site da Oracle (tenho um vídeo mostrando a instalação aqui também).

Porém, quando fui instalar o IntelliJ IDEA (uma das minhas IDEs favoritas para Java e desenvolvimento web), apareceu a mensagem abaixo:

javaSE6Yosemite01

Mesmo com o Java 8 instalado, o Mac pediu a instalação do Java 6, que já não tem suporte mais - não fez muito sentido, mas tudo bem. Até algumas versões atrás, a Apple já distribuía o Java 6 com o OS, mas as 2 ou 3 versões mais recentes do OS não vem mais. Por algum motivo continua pedindo para algumas apps.

Se você tiver o mesmo problema, basta acessar esse link e fazer o download do Java 6 para o Mac OS - pode ficar despreocupado que o Java 8 continua setado no path (variáveis de ambiente):

javaSE6Yosemite02

Isso resolveu o meu problema.

Até a próxima!